const Api = require('../api')

module.exports = class Part {
  constructor (set, part, amount) {
    this.part = part
    this.urlPath = `${set}_prime_${part}`
    this.url = `https://warframe.market/items/${set}_prime_${part}`
    this.amount = amount ?? 1
  }

  async getPrice () {
    const orders = await Api.getSortedOrders(this.urlPath)
    return Number(orders[0].platinum) * this.amount
  }
}
